# Das Handbuch zu &amarok;

Mike
Diehl

    madpenguin8@yahoo.com

Das &amarok; Entwickler-Team
Entwickler
Thomas
Reitelbach

    tr@erdfunkstelle.de

Deutsche Übersetzung
2005
Das &amarok; Entwickler-Team
2006
Die "doKymotion Krew"
&FDLNotice;
2006-02-20
2.1

&amarok; ist ein Multimedia-Player für KDE

KDE
Multimedia
Wiedergabe
Audio
ogg
mp3
wav
Musik
Klang
Skript

## Einführung

Logo

&amarok; ist ein Multimedia-Player für &kde;. &amarok; ist leistungsstark und überraschend einfach zu bedienen.

Suchen Sie ständig in endlosen Menüs, nur um Ihrer Wiedergabeliste ein paar Stücke hinzuzufügen? Mit &amarok; können Sie durch Ziehen und Ablegen einfach Musik in die Wiedergabeliste ziehen. Vielleicht suchen Sie auch nur einen ganz bestimmten Titel aus tausenden in Ihrer Sammlung. &amarok;'s Sammlung-Browser mit seiner Schnellsuche wird Ihnen helfen, das Stück innerhalb von Sekunden zu finden.

Auf den ersten Blick hat &amarok; natürlich die gleichen alten Funktionen wie jeder durchschnittliche Multimedia-Player. Doch an diesem Punkt haben die Entwickler nicht einfach aufgehört! Ein Blick auf den Kontext-Browser genügt um zu sehen, warum &amarok; den anderen Playern einen großen Schritt voraus ist. Der Kontext-Browser enthält eine laufend aktualisierte Datenbank, die Sie mit Statistiken und Informationen über Ihre Wiedergabeliste versorgt. Der Kontext-Browser kann auch vorhandene Cover-Bilder Ihrer Alben anzeigen, und ist damit nicht nur nützlich, sondern sieht auch gut aus.

Vielleicht haben Sie bereits einige unterschiedliche Wiedergabelisten, können sich aber nie entscheiden, welche Sie abspielen möchten? Dann ist der Wiedergabelisten-Browser genau das Richtige für Sie. Und wenn Sie sich nicht entscheiden können, hilft Ihnen der dynamische Modus und wählt Musik für Sie aus. Außerdem gibt es noch intelligente Wiedergabelisten, mit denen Sie gezielt Wiedergabelisten nach bestimmten Kriterien zusammenstellen und abspielen können.

amaroK unterstützt Apples iPod, iRivers ifp und viele generische USB-Geräte. Außerdem kann amaroK mit verschiedenen Audio-Treibern umgehen. Somit haben SIE die Wahl, wie Sie Ihre Musik hören möchten. Diese und noch viel mehr Funktionen machen amaroK zum absolut fortschrittlichsten Audio-Player. &amarok; ist intelligent, sexy und leicht zu bedienen. Wir hoffen, dass es Ihnen mit amaroK ein Leichtes sein wird, "Ihre Musik neu zu erleben :)"

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Danksagungen und Lizenz

Programm-Copyright © 2003-2005, Mark Kretschmann markey@web.de und das amaroK-Team.

### Das &amarok;-Team

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik ich bin kein Deustcher! Holljen fh@ez.no

- Mark it's good, but it's not irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike purple is not girly! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman and God said, let there be Mac Becker roman@formmorf.de

- Seb Surfin' down under Ruiz me@sebruiz.net

- Stanislav did someone say DCOP? Karchebny Stanislav.Karchebny@kdemail.net

### Mitwirkende:

- Adam Pigg (Analyzer, Patches) adam@piggz.fsnet.co.uk

- Adeodato Simo (Patches) asp16@alu.ua.es

- Alexandre Oliveira (Verbesserungen, Fehlerbereinigungen) aleprj@gmail.com

- Andreas Mair (MySql-Unterstützung) am_ml@linogate.com

- Andrew de Quincey (Postgresql-Unterstützung) adq_dvb@lidskialf.net

- Christie Harris (roKymoter) dangle.baby@gmail.com

- Dan Leinir Turthra Jensen (Einrichtungsassistent) admin@removeleinir.dk

- Dan Meltzer (roKymoter) hydrogen@notyetimplemented.com

- Enrico Ros (Analyzer, OpenGL-König) eros.kde@email.it

- Florian 'da-flow' Egerer (amaroK's Programmsymbol 'Blue Wolf) flo_for_never@gmx.at

- Gérard Dürrmeyer (Arbeit an Symbolen und Bildern) gerard@randomtree.com

- Greg Meyer (Er war eine große Hilfe beim Beheben von Pre-1.2-Fehlern) greg@gkmweb.com

- Harald Sitter (roKymoter, Übersetzungen, Fehlerbereinigungen, Bildschirmphotos) harald.sitter@kdemail.net

- Ian Monroe (Patches, Ruby Skript-Vorlage (eean) )ian@monroe.nu

- Jarkko Lehti (Tester) grue@iki.fi

- Jocke Andersson (roKymoter) ajocke@gmail.com

- Kenneth Wesley Wimer II (Symbole) kwwii@bootsplash.org

- Kenny Lemieux (amaroK Webmaster) swaft@pwsp.net

- Melchior Franz (neue FFT-Routine, bugfixes) mfranz@kde.org

- Michael Pyne (Kode für K3b-Export) michael.pyne@kdemail.net

- Nenad Grujicic (Startbildschirm für Version 1.1) mchitman@neobee.net

- Olivier Bédard (Hosting der Webseite) paleo@pwsp.net

- Reigo Reinmets (Wikipedia-Unterstützung, Patches) xatax@hot.ee

- Roland Gigler (MAS-Treiber) michael.pyne@kdemail.net

- Sami Nieminen (Audioscrobbler-Unterstützung) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Stefan Bogner (Loadsa-Zeugs) bochi@online.ms

- Stefan Siegel (Patches, Fehlerbereinigungen) kde@sdas.de

- Sven Krohlas (roKymoter) sven@asbest-online.de

- Whitehawk Stormchaser (Tester, Patches) zerokode@gmx.net

Dokumentations-Copyright © 2005 Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Installation

### Wie kann man &amarok; bekommen

&amarok; kann von der &amarok;-Homepage heruntergeladen werden.

Die neueste Entwicklerversion erhalten Sie aus dem &kde;-SN, Modul /trunk/extragear/multimedia/amarok/.

#### Wie man &amarok; kompiliert

Üblicherweise muss man im Basisordner der &amarok;-Distribution das folgende eingeben, um &amarok; zu kompilieren und installieren:

`./configure --prefix=`kde-config --prefix`` `make` `su -c "make install"`

Die configure-Option "--enable-final" wird nicht mehr unterstützt.

Da &amarok; autoconf und automake verwendet, sollten Sie beim kompilieren keine Schwierigkeiten haben. Falls Sie doch auf Probleme stoßen, berichten Sie diese bitte in den &kde; Mailinglisten.

#### Optionen für Configure

&amarok; hat wie die meisten Anwendungen einige Optionen, die man zum Kompilierzeitpunkt mit dem configure-Skript aktivieren oder deaktivieren kann. Dies ist eine Liste der verfügbaren Optionen.

Für einige der Kompilieroptionen müssen bestimmte Abhängigkeiten erfüllt sein, damit sie benutzt werden können. Details dazu finden Sie im Abschnitt Systemvoraussetzungen.

Option | Voreinstellung | Beschreibung
--- | --- | ---
--enable-debug= | no | Aktiviert Debugging-Symbole. Sie haben die Wahl zwischen yes, no und full. Wenn Sie bei der Entwicklung von &amarok; helfen möchten, sollten Sie full benutzen.
--enable-mysql | Deaktiviert | Aktiviert die Unterstützung für MySql-Datenbanken in &amarok;.
--disable-amazon | Aktiviert | Deaktiviert das Herunterladen von Cover-Bildern von Amazon.
--without-arts | Mit aRts | Deaktiviert die Unterstützung für aRts in &amarok;.
--without-gstreamer | Mit aRts | Deaktiviert die Unterstützung für GStreamer in &amarok;.
--with-helix | Mit aRts | Aktiviert die Unterstützung für Helix in &amarok;.
--without-xine | Mit aRts | Deaktiviert die Unterstützung für xine in &amarok;.
--with-nmm | Ohne | Aktiviert die Unterstützung für NMM in &amarok;.
--with-mas | Ohne | Aktiviert die Unterstützung für MAS in &amarok;.
--without-opengl | Mit aRts | Deaktiviert die Unterstützung für OpenGL (Visualisierungen) in &amarok;.
--without-included-sqlite | Mit aRts | Deaktiviert die Verwendung der mitgelieferten sqlite-Quellen (setzt voraus, dass sqlite installiert ist).

&documentation.index;